// Copyright (c) 2020 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_VOLUME_EXACT_WINDOW_H_
#define _EUTERPE_VOLUME_EXACT_WINDOW_H_

#include "euterpe/definitions.h"

#include "WDL/wingui/wndsize.h"
#include "WDL/heapbuf.h"

class RSE_ExactVolWnd
{
public:
  RSE_ExactVolWnd();
  ~RSE_ExactVolWnd();

  HWND Handle() const;

  static WDL_DLGRET ST_ExactVolWndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET ExactVolWndProc(UINT msg, WPARAM wparam, LPARAM lparam);

  HWND m_hwnd;
  HWND m_edit;
};

#endif // _EUTERPE_VOLUME_EXACT_WINDOW_H_
